export default (configuration) => {
    return `package ${configuration.packageName}.model.remote


    data class ChatResponse(
        val error: String?,
        val model: ArrayList<SingleChatResponse>
        )
    
    
    data class SingleChatResponse(
        val id: Int?,
        val room_id: Int?,
        val unread: Int?,
        val create_at: String?,
        val update_at: String?,
        var view_type: Int?,
        val chat: SingleChatMessageResponse?,
        )
    
    
    
    data class SingleChatMessageResponse(
        val message: String?,
        val user_id: Int?,
        val is_image: Boolean?,
        var timestamp: Long?,
        var role: String? = null
        // var role: String?
        //val thread: String?,
    )

      `;
  };